Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfaceDim Class Reference
GoSdk/Tools » Surface

## Description

Represents a Surface dimension tool. all width/height/length/radius and x/y/z units are in mm, angles in degrees.

Inheritance diagram for GoSurfaceDim:

## Public Member Functions
GoSurfaceDimensionCenterPoint | GoSurfaceDim_CenterPoint (GoSurfaceDimensionCenterPoint tool)
| Returns a GoSurfaceDim center point feature object. More...
GoSurfaceDimCenterX | GoSurfaceDim_CenterXMeasurement (GoSurfaceDim tool)
| Returns a GoSurfaceDim Center X measurement object. More...
GoSurfaceDimCenterY | GoSurfaceDim_CenterYMeasurement (GoSurfaceDim tool)
| Returns a GoSurfaceDim Center Y measurement object. More...
GoSurfaceDimCenterZ | GoSurfaceDim_CenterZMeasurement (GoSurfaceDim tool)
| Returns a GoSurfaceDim Center Z measurement object. More...
GoSurfaceDimDistance | GoSurfaceDim_DistanceMeasurement (GoSurfaceDim tool)
| Returns a GoSurfaceDim Distance measurement object. More...
GoSurfaceFeature | GoSurfaceDim_Feature (GoSurfaceDim tool)
| Gets the non-reference Surface feature. More...
GoSurfaceDimHeight | GoSurfaceDim_HeightMeasurement (GoSurfaceDim tool)
| Returns a GoSurfaceDim Height measurement object. More...
GoSurfaceDimLength | GoSurfaceDim_LengthMeasurement (GoSurfaceDim tool)
| Returns a GoSurfaceDim Length measurement object. More...
GoSurfaceDimPlaneDistance | GoSurfaceDim_PlaneDistanceMeasurement (GoSurfaceDim tool)
| Returns a GoSurfaceDim Plane Distance measurement object. More...
GoSurfaceFeature | GoSurfaceDim_RefFeature (GoSurfaceDim tool)
| Gets the reference Surface feature. More...
GoSurfaceDimWidth | GoSurfaceDim_WidthMeasurement (GoSurfaceDim tool)
| Returns a GoSurfaceDim Width measurement object. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
kStatus | GoSurfaceTool_SetZAngleAnchor (GoSurfaceTool tool, k32s id)
| Sets the ZAngle-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
k32s | GoSurfaceTool_ZAngleAnchor (GoSurfaceTool tool)
| Gets the ZAngle-anchoring source. More...
kBool | GoSurfaceTool_ZAngleAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid ZAngle - anchoring source has been set for ZAngle - anchoring. More...
k32u | GoSurfaceTool_ZAngleAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the ZAngle-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAngleAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
kStatus | GoTool_AddFeatureOutput (GoTool tool, kType type, GoFeature *featureOutput)
| Adds the given feature output to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearFeatureOutputs (GoTool tool)
| Removes all feature outputs for the given tool. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureType type)
| Retrieves the instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
k32s | GoTool_Id (GoTool tool)
| Retrieves the id of the instance of the tool. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveFeatureOutput (GoTool tool, kSize index)
| Removes a feature output at a given index. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h